<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_5439477835" . "f9c7cc26a98" . "8f88cb19553" => base64_decode("cHJldl9mdWxsX" . "25hbWU="), "user_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="), "_baec81a782bb3d538149a9225688246" . "e" => base64_decode("ZXZl" . "bnRf" . "c291" . "cmNl"), "contex" . "t" => base64_decode("Y29u" . "dGV4" . "dA=="), "_8cca4dd34e20c5344bb2a30f2533c4" . "e5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "_539cf4259a149ca9dbb739b" . "2cdb7c608" => base64_decode("ZW1haWxfYW" . "RkcmVzcw=="), "_28c85ce81f" . "ee653298026" . "2893b6f2425" => base64_decode("dXN" . "lcm" . "5hb" . "WU="), "_dd45fa0d6586ab8e73f6f6f" . "116b1a970" => base64_decode("cHJldl" . "91c2Vy" . "X2lk"), "_eb6cb4623735c07195" . "e93735d659236d" => base64_decode("cHJldl" . "9lbWFp" . "bF9hZG" . "RyZXNz"), "_b070ffda70d673baa" . "2ab1a4ca13c254c" => base64_decode("cHJldl9" . "1c2Vybm" . "FtZQ=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["contex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["co" . "nt" . "ex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8cca4dd34e20c5344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_28c85ce81fee6532980262893b6f2" . "425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_539cf4259a149ca9" . "dbb739b2cdb7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_dd45fa0d6586ab8e7" . "3f6f6f116b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5439477835f9c7cc2" . "6a988f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b070ffda70d" . "673baa2ab1a4" . "ca13c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_eb6cb4623735c07195e93735d6592" . "36d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_baec81a782bb3d5381" . "49a9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}